.\"	$NetBSD: fsck_msdos.8,v 1.14 2003/02/25 10:34:57 wiz Exp $
.\"
.\" Copyright (C) 1995 Wolfgang Solfrank
.\" Copyright (c) 1995 Martin Husemann
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHORS ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\"
.Dd August 13, 1995
.Dt FSCK_MSDOS 8
.Os
.Sh NAME
.Nm fsck_msdos
.Nd DOS/Windows (FAT) filesystem consistency checker
.Sh SYNOPSIS
.Nm
.Fl p
.Op Fl f
.Ar filesystem ...
.Nm
.Op Fl fny
.Ar filesystem ...
.Sh DESCRIPTION
The
.Nm
utility verifies and repairs
.Tn FAT
filesystems (more commonly known
as
.Tn DOS
filesystems).
.Pp
The first form of
.Nm
preens the specified filesystems.
It is normally started by
.Xr fsck 8
run from
.Pa /etc/rc
during automatic reboot, when a FAT filesystem is detected.
When preening file systems,
.Nm
will fix common inconsistencies non-interactively.
If more serious problems are found,
.Nm
does not try to fix them, indicates that it was not
successful, and exits.
.Pp
The second form of
.Nm
checks the specified file systems and tries to repair all
detected inconsistencies, requesting confirmation before
making any changes.
.Pp
The options are as follows:
.Bl -hang -offset indent
.It Fl f
This option is ignored by
.Nm ,
and is present only for compatibility with programs that
check other file system types for consistency, such as
.Xr fsck_ffs 8 .
.It Fl n
Causes
.Nm
to assume no as the answer to all operator
questions, except
.Dq CONTINUE? .
.It Fl p
Preen the specified filesystems.
.It Fl y
Causes
.Nm
to assume yes as the answer to all operator questions.
.El
.Sh SEE ALSO
.Xr fsck 8 ,
.Xr fsck_ffs 8 ,
.Xr mount_msdos 8
.Sh BUGS
.Nm
is still under construction.
